This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 445964 - slow transfer speeds on >=2.6.24
slow transfer speeds on >=2.6.24
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
9
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-10 13:07 EDT by Konrad Mosoń
Modified: 2009-07-14 11:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (24.38 KB, text/plain)
2008-05-10 13:07 EDT, Konrad Mosoń
no flags Details
/etc/modprobe.conf (157 bytes, text/plain)
2008-05-10 13:07 EDT, Konrad Mosoń
no flags Details
fdisk -l (632 bytes, text/plain)
2008-05-10 13:08 EDT, Konrad Mosoń
no flags Details
hdparm -tT (145 bytes, text/plain)
2008-05-10 13:08 EDT, Konrad Mosoń
no flags Details
lsmod (3.06 KB, text/plain)
2008-05-10 13:08 EDT, Konrad Mosoń
no flags Details

  None (edit)
Description Konrad Mosoń 2008-05-10 13:07:02 EDT
Description of problem:
Fedora does not set UDMA for disk, but it sets PIO4 mode. PIO4 is very slow and
Fedora is booting about 7 minutes (!). All applications are starting too much
time. For example gnome-terminal is starting about half minute on fluxbox; GDM
is starting about 1 minute to show login screen.
Currently Fedora is unusable because it is too slow. When system starts it
working normal until i try run some application.

Version-Release number of selected component (if applicable):
>=2.6.24 kernel

I do not know how i can reproduce this.
My hardware configuration and other important files is on attachments.

Actual results:
For test hard drive i used, and results in attachments:
# hdparm -tT /dev/sda

Additional info:
This is have place on kernels from 2.6.24.* to latest

I found mail-archive with patch for pata_amd (i have pata_atiixp) on:
http://www.mail-archive.com/linux-ide@vger.kernel.org/msg04494.html
Comment 1 Konrad Mosoń 2008-05-10 13:07:03 EDT
Created attachment 305029 [details]
dmesg
Comment 2 Konrad Mosoń 2008-05-10 13:07:55 EDT
Created attachment 305030 [details]
/etc/modprobe.conf
Comment 3 Konrad Mosoń 2008-05-10 13:08:22 EDT
Created attachment 305031 [details]
fdisk -l
Comment 4 Konrad Mosoń 2008-05-10 13:08:38 EDT
Created attachment 305032 [details]
hdparm -tT
Comment 5 Konrad Mosoń 2008-05-10 13:08:59 EDT
Created attachment 305033 [details]
lsmod
Comment 6 Konrad Mosoń 2008-05-10 13:12:04 EDT
I forgot: this bug is on Fedora 8 (2.6.24.*) and Fedora 9 (2.6.25.*).
Comment 7 Dave Jones 2008-05-10 14:06:13 EDT
The key part of dmesg being this:

ata2.00: simplex DMA is claimed by other device, disabling DMA

I'm not sure what the hardware limitations are here, (perhaps Alan can clue us
in).  It looks like you have the DVD drive as the primary master, and hard disk
as secondary.  I wonder if reversing this situation would 'solve' this ?  Alan ?
Comment 8 Konrad Mosoń 2008-05-10 14:46:29 EDT
Yes, I have ASUS A9RP and it is true that DVD is on 1st master and harddrive on
1st slave. I checked this in BIOS.
But i notice that UDMA works perfectly on kernels before 2.6.24.
Comment 9 Alan Cox 2008-05-10 15:55:47 EDT
Fixed upstream now - its a combination of two bugs, one Fedora bug that has been
reported since early FC8 and one kernel thing which triggers a hardware funny.

Fix is in 2.6.26-rc, but the right fix for this (and some other fun) is to stop
loading pata_acpi *before* chipset specific drivers.
Comment 10 Konrad Mosoń 2008-05-10 16:25:54 EDT
Ok, thanks, but how can i fix it temporarily until new kernel is released.
Comment 11 Jeremy Katz 2008-05-10 16:44:40 EDT
anaconda just runs udev for loading modules these days.  Which then invokes
modprobe of the modalias.  Of course, all matches for a modalias are "equally"
good as far as anything can tell other than doing explicit module name hacks in
modprobe :-/

But to modprobe
Comment 12 Bug Zapper 2008-05-14 06:58:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-06-09 20:43:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 11:27:57 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.